@import "../../../_mixins.scss";
.rectangle-icon-outer {
  width: 23px;
  height: 23px;
  margin: 4px 5px 0 0;
  padding: 2px 3px;
  border-radius: 25%;
}

.project-management {
  .header-actions {
    .right {
      .filter {
        margin: 0 5px 0 10px;
        cursor: pointer;
        min-width: 55px;
        font-weight: 600;
        .img-icon {
          width: 12px;
        }
      }
    }
  }
  .projects-action-tabs {
    display: flex;
    min-width: unset;
    margin: 0 0 5px 0;
  }
  .projects-action-tabs-link {
    border-radius: 2px;
    font-family: var(--font-first);
    font-weight: 700;
    font-size: var(--font-s);
    line-height: 1;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    text-align: left;
    color: var(--primary);
    border-color: var(--primary);
    padding: 8px 14px;
    text-align: center;
    outline: none;
    margin: 0 5px 0 0;
    min-width: 11opx;
    border: 1px solid var(--primary);
    background: var(--default);
    cursor: pointer;

    @include transitions(all 0.5s ease);
    @include text_one_line;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--primary);
      img {
        filter: invert(75%);
      }
    }

    &.--active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--app-bg);
      cursor: not-allowed;
      img {
        filter: invert(75%);
      }
      position: relative;
      display: block;
      &::after {
        position: absolute;
        bottom: 0;
        height: 0;
        width: 0;
        left: 43%;
        border: 6px solid transparent;
        border-bottom-color: var(--app-bg);
        content: "";
      }
    }
  }

  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
    }
    .text {
      width: 100%;
      padding: 0px 10px !important;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 2.4;
    }
  }
}

.infinite-scroll-component {
  overflow: hidden !important;
  .PMOCollapsible-component {
    margin: 0;
    .label {
      padding: 20px 0;
      margin: 0 0 10px 0;
    }
  }
}
.load-more {
  border: 1px solid #ccc;
  display: flex;
  padding: 10px;
  justify-content: center;
  margin: 40px;
  cursor: pointer;
  &:hover {
    color: blue;
    text-decoration: underline;
  }
}

.pmo-listing-loader {
  position: absolute;
  left: 55%;
  top: 50% !important;
  z-index: 999;
}

.ellipsis-no-width {
  display: block;
  width: 93%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  padding: 0 0 0 2px;
}

.filters-overdue {
  display: flex;
  .btn-overdue {
    margin: 0px 5px;
    border: 1px solid #ccc;
    color: white;
    color: var(--default);
    font-family: var(--font-first);
    font-weight: 700;
    font-size: var(--font-s);
    display: flex;
    cursor: pointer;
    padding: 5px 2px;
    
    .eye-open{
      height: 18px;
      width: 20px;
      margin: 0 5px;    }
      .svg-white{
        filter: invert(1);
      }
  :hover{
    border: 2px solid #ccc;
  }
  }
}
